Subject: bug#17052: substitute-command-keys strips text properties

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Aug 2019 15:43:35 -0700

Eli Zaretskii <[email-masked]> writes:

> Maybe we should first talk a bit about why Lars you think it would be
> "pretty trivial" to keep properties in Lisp, but not in C.  I'm
> probably missing something very basic here, because I don't see why
> it would be easier in Lisp.

Anything is easier in Lisp, surely.

But if you look at that function in particular, it's written in a very
C-ey fashion, what with copying over characters one by one etc.  It
could be rewritten (in C) to use the proper primitives we have that
preserve text properties (Fsubstring etc), but then you'd just end up
with a more long-winded version that would be Lisp-in-C, so we might as
well just rewrite it in Lisp.

It'll probably be a fraction of the code length.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no